Bug 426956 - defaultshared defaults to no
defaultshared defaults to no
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
6
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-28 16:30 EST by Sujay D'Souza
Modified: 2008-01-10 08:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-10 08:06:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sujay D'Souza 2007-12-28 16:30:42 EST
Description of problem:

On FC6 (fedora) - if defaultshared is not present in cupsd.conf  it defaults to
no, inspite of the documentation stating that it should be shared by default.

Version-Release number of selected component (if applicable): 1.2.12


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tim Waugh 2008-01-07 11:40:05 EST
Are you using lpadmin to create queues, or some other method?
Comment 2 Sujay D'Souza 2008-01-09 13:36:42 EST
yes lpadmin is used to create the queues. If no shared parameter is specified,
it should default to the parameter in cupsd.conf defaultshared=yes (even if that
is not present in the cupsd.conf). It does not behave as described though unless 
either is explicitly stated. Please refer to the following url.

http://www.cups.org/documentation.php/ref-cupsd-conf.html

Examples

DefaultShared yes
DefaultShared no

Description

The DefaultShared directive specifies whether printers are shared (published) by
default. The default is Yes.
Comment 3 Tim Waugh 2008-01-10 06:15:28 EST
Seems to work fine in Fedora 8:

# grep -i defaultshared /etc/cups/cupsd.conf
# lpadmin -p test -v /dev/null
# lpoptions -p test
finishings=3 copies=1 job-hold-until=no-hold job-priority=50 number-up=1
auth-info-required=none job-sheets=none,none printer-info=test
printer-is-accepting-jobs=0 printer-is-shared=1 printer-location
printer-make-and-model='Local Raw Printer' printer-state=5
printer-state-change-time=1199963652 printer-state-reasons=paused
printer-type=524292
[root@cyberelk ~]# rpm -q cups
cups-1.3.5-1.fc8

Note 'printer-is-shared=1' in the output.

What do you get when you try those commands?
Comment 4 Sujay D'Souza 2008-01-10 08:00:25 EST
Yes its fine on FC6, I just realized that these configs were generated on
FC2/cups-1.1.20-11.11.2.legacy and defaultshared was introduced in 1.2

Note You need to log in before you can comment on or make changes to this bug.